Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt

Use this file to discover all available pages before exploring further.

This service is called by the Requester for all NEW reservations and updates. The differences between NEW and UPDATE reservations are:
  1. affiliateReservation.action is set to NEW or UPDATE.
  2. A transactionId must be supplied with every UPDATE payload. NEW reservations leave this field blank.
  3. If submitMode = "WAIT", the API call is synchronous and the response time is longer. A transactionId is always provided; when submitMode = "WAIT", a reservationId is also provided.
The response is a unique Transaction ID within the GRiDD Platform for reference.
This is an asynchronous service call by default. The response can be a valid Transaction ID or an error caught by the rules engine; other responses are provided via a webhook callback at a later time. For NEW, the action is NEW and the status begins at BOOKING_REQUEST.

sendTrip

POST /sendTrip/{version}

Parameters

ParameterDescription
versionThe value for version should be V1.

Request

Header:
token: {TOKEN}
Body:
{
  "submitMode": "WAIT",
  "reservationType": "REGULAR",
  "runType": "Airport",
  "status": "BOOKING_REQUEST",
  "passengerCount": "1",
  "locations": {
    "dropOff": {
      "address": "SNA",
      "address1": "18601 Airport Way, Santa Ana, CA",
      "address2": "suite #1",
      "city": "Santa Ana",
      "country": "USA",
      "flightInfo": {
        "airlineCode": "UA",
        "flightNumber": "2323"
      },
      "landmark": "John Wayne Airport-Orange County",
      "lat": null,
      "locationType": "airport",
      "lon": null,
      "meetAndGreet": null,
      "pointOnLocation": "help with baggage",
      "specialInstructions": "Assist with Check in",
      "state": "CA",
      "time": null,
      "zipCode": "90012"
    },
    "pickup": {
      "address": "1 Ritz Carlton Dr, Dana Point, CA 92629",
      "address1": "1 Ritz Carlton Dr",
      "address2": "",
      "city": "Dana Point",
      "country": "US",
      "landmark": "Ritz Carlton Hotel",
      "lat": null,
      "locationType": "address",
      "lon": null,
      "meetAndGreet": null,
      "pointOnLocation": "call 10 minute out",
      "specialInstructions": "lots of bags, help needed",
      "state": "CA",
      "time": "2016-04-13T19:15:00",
      "zipCode": "92629"
    },
    "stops": [
      {
        "address": "100 Wilshire Blvd, Santa Monica, CA 90012",
        "address1": "100 Wilshire blvd",
        "address2": "Apt 30",
        "city": "Santa Monica",
        "country": "US",
        "flightInfo": null,
        "landmark": null,
        "lat": null,
        "locationType": "address",
        "lon": null,
        "pointOnLocation": "Let doorman know you are there",
        "specialInstructions": "This is a stop and wait to pick up a package",
        "state": "CA",
        "stopNumber": "1",
        "time": null,
        "zipCode": "92121"
      }
    ]
  },
  "passengers": [
    {
      "alias": "Soccer Pro",
      "email": "support@grdd.net",
      "firstName": "George",
      "lastName": "Best",
      "phones": [
        {
          "attributes": null,
          "number": "+12122221212",
          "type": "mobile"
        }
      ]
    }
  ],
  "preferredVehicleType": "SUV",
  "specialInstructions": "testing instructions . (Pickup): call 10 minute out",
  "affiliateReservation": {
    "requesterId": "gnettest",
    "requesterResNo": "52340",
    "providerId": "lctest",
    "action": "NEW"
  },
  "notes": [
    {
      "context": "AFFILIATE",
      "message": "This is a note for my dear affiliate.... please take care of this VIP client, or else!",
      "status": "",
      "user": ""
    }
  ],
  "account": {
    "accountName": "GNet Test Limo Inc.",
    "callerName": "George Abes",
    "callerNumber": "+12122221212"
  }
}

Response 200

{
  "transactionId": "4b15e13d-419f-4903-8c24-70445bd97c87",
  "reservationId": "10122",
  "fees": [
    {
      "code": "basecharge",
      "currency": "USD",
      "description": "base_charge",
      "fee": "118.23",
      "percent": null,
      "reimbursable": null,
      "type": "CHARGE"
    },
    {
      "code": "hourlycharge",
      "currency": "USD",
      "description": "hourly_charge",
      "fee": "100.0",
      "percent": null,
      "reimbursable": null,
      "type": "CHARGE"
    }
  ],
  "totalAmount": "218.23"
}

Payload field reference

See the Object Model for a complete, field-by-field description of the reservation payload.